classification
Title: Running test_multiprocessing_spawn is slow (more than 8 minutes)
Type: performance Stage: resolved
Components: Tests Versions: Python 3.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: davin, sbt, serhiy.storchaka, vstinner
Priority: normal Keywords:

Created on 2015-12-04 11:51 by vstinner, last changed 2017-06-28 01:17 by vstinner. This issue is now closed.

Messages (3)
msg255860 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2015-12-04 11:51
Hi,

When I run the Python test suite with "./python -m test -j0 -rW",  test_multiprocessing_spawn is almost the latest one to run. Example:
---
(...)
[399/401/1] test_lib2to3 (68 sec) -- running: test_zipfile (43 sec), test_multiprocessing_spawn (484 sec)
[400/401/1] test_zipfile (45 sec) -- running: test_multiprocessing_spawn (488 sec)
^C
Waiting for test_multiprocessing_spawn

Test suite interrupted by signal SIGINT.
1 test omitted:
    test_multiprocessing_spawn
(...)
---

Would it be possible to make it faster? Skip some tests? I don't know.
msg255861 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-12-04 11:58
First, we have to mark longest tests with @support.requires_resource('cpu').
msg297108 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-06-28 01:17
Sorry, I failed to take a decision nor find a concrete action to do on this issue, so I just closed it.
History
Date User Action Args
2017-06-28 01:17:07vstinnersetstatus: open -> closed
resolution: out of date
messages: + msg297108

stage: resolved
2016-02-13 04:10:45ned.deilysetnosy: + sbt, davin
2015-12-04 11:58:48serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg255861
2015-12-04 11:52:06vstinnersettype: performance
components: + Tests
2015-12-04 11:51:57vstinnercreate